pqxx::internal::reactivation_avoidance_counter Class Reference

`#include <connection_base.hxx>`

## Public Member Functions

| reactivation_avoidance_counter ()=default
void | add (int n) noexcept
void | clear () noexcept
int | get () const noexcept

## Constructor & Destructor Documentation

## reactivation_avoidance_counter()

pqxx::internal::reactivation_avoidance_counter::reactivation_avoidance_counter | ( |  | ) |

default

## Member Function Documentation

## add()

void pqxx::internal::reactivation_avoidance_counter::add | ( | int | n | ) |

noexcept

## clear()

void pqxx::internal::reactivation_avoidance_counter::clear | ( |  | ) |

noexcept

## get()

int pqxx::internal::reactivation_avoidance_counter::get | ( |  | ) | const

noexcept

The documentation for this class was generated from the following file:

- connection_base.hxx